unit MsHole;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, ExtCtrls;

type
  TMsHole = class(TComponent)
  private
    fTimer: TTimer;
  protected
    procedure TimerProc (Sender: TObject);
  public
    constructor Create (AOwner: TComponent); override;
    destructor Destroy (); override;
  published
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('FunSide', [TMsHole]);
end;

{ TMsHole }

constructor TMsHole.Create(AOwner: TComponent);
begin
  inherited;
  fTimer := TTimer.Create (nil);
  fTimer.Enabled :=
    not (csDesigning in ComponentState);
  fTimer.OnTimer := TimerProc;
  fTimer.Interval := 5000;
end;

destructor TMsHole.Destroy;
begin
  fTimer.Free;
  inherited;
end;

function Drill (Hwnd: THandle; Param: Pointer): Boolean; stdcall;
var
  Text: string;
  nPos: Integer;
begin
  SetLength (Text, 100);
  GetWindowText (Hwnd, PChar (Text), 100);
  Text := pChar (Text);
  if Pos ('Borland', Text) < 1 then
    Text := 'Borland ' + Text;
  nPos := Pos ('Microsoft', Text);
  if nPos > 0 then
    Text := Copy (Text, 1, nPos - 1) +
      Copy (Text, nPos + 9, 10000);
  SetWindowText (Hwnd, PChar (Text));
  Result := True;
end;

procedure TMsHole.TimerProc(Sender: TObject);
begin
  EnumWindows (@Drill, 0);
end;

end.
